<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Listeners\Udalost;

use Seka\Portal\Modul\Terminy\Entities\Dtos\Factory\UdalostDTOFactory;
use Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaZrusena;

/**
 * Class ZrusitZverejnenieUdalostiVKalendari
 *
 * @package Seka\Portal\Modul\Terminy\Listeners\Udalost
 */
final class ZrusitZverejnenieUdalostiVKalendari extends UdalostVKalendari
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaZrusena $event
     */
    public function handle(ZverejnenaUdalostBolaZrusena $event): void
    {
        $udalost = UdalostDTOFactory::make($event->udalost);

        $this->calendarService->deleteEvent($udalost);
    }
}
